## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0
%bcond_without check

# https://git.sr.ht/~spc/mqttcli
%global goipath         git.sr.ht/~spc/mqttcli
%global forgeurl        https://git.sr.ht/~spc/mqttcli
Version:                0.2.5
%global tag             %{version}

%gometa -f

%global common_description %{expand:
mqttcli provides two programs (pub and sub) that allow command-line access to an
MQTT broker.

sub subscribes to a topic and prints messages received to standard output.
pub publishes the provided message to the provided topic. Both programs
accept flags that can be provided as a config file.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           mqttcli
Release:        %autorelease
Summary:        Simple MQTT CLI pub/sub client

License:        GPL-3.0-only
URL:            %{gourl}
Source:         %{gosource}

BuildRequires:  /usr/bin/a2x

%description
%{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/pub %{goipath}/cmd/pub
%gobuild -o %{gobuilddir}/bin/sub %{goipath}/cmd/sub
a2x --doctype manpage --format manpage --destination-dir %{gobuilddir} doc/sub.adoc
a2x --doctype manpage --format manpage --destination-dir %{gobuilddir} doc/pub.adoc

%install
install -m 0755 -vd                       %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/pub %{buildroot}%{_bindir}/pub
install -m 0755 -vp %{gobuilddir}/bin/sub %{buildroot}%{_bindir}/sub
install -m 0755 -vd                       %{buildroot}%{_mandir}/man1
install -m 0644 -vp %{gobuilddir}/sub.1   %{buildroot}%{_mandir}/man1/sub.1
install -m 0644 -vp %{gobuilddir}/pub.1   %{buildroot}%{_mandir}/man1/pub.1


%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc README.md
%{_bindir}/*
%{_mandir}/man1

%changelog
## START: Generated by rpmautospec
* Thu Jul 24 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 0.2.5-4
- Rebuild for golang 1.22.0

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Sep 28 2023 Link Dupont <link@sub-pop.net> - 0.2.5-1
- Update to 0.2.5 (RHBZ#2241207)

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 14 2023 Link Dupont <link@sub-pop.net> - 0.2.4-1
- Update to 0.2.4

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 0.2.3-3
- Rebuild for CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in
  golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.3-2
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327, CVE-2022-27191,
  CVE-2022-29526, CVE-2022-30629

* Sat Feb 26 2022 Link Dupont <linkdupont@fedoraproject.org> - 0.2.3-1
- Update to 0.2.3

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 10 2021 Link Dupont <linkdupont@fedoraproject.org> - 0.2.2-1
- Update to 0.2.2

* Mon Oct 11 2021 Link Dupont <linkdupont@fedoraproject.org> - 0.2.1-1
- New upstream release

* Mon Oct 11 2021 Link Dupont <linkdupont@fedoraproject.org> - 0.2.0-1
- New upstream release

* Thu Jun 24 2021 Link Dupont <linkdupont@fedoraproject.org> - 0.1.0-1
- Initial package

## END: Generated by rpmautospec
